Subject: bug#45631: 27.1; regression: message-forward-ignored-headers no longer applies when forwarding as MIME

From: Daniel Kahn Gillmor <[email-masked]>
Date: Wed, 13 Jan 2021 12:35:39 -0500

On Wed 2021-01-13 10:25:51 +0100, Robert Pluim wrote:
> Adding unconditional checking of DKIM signatures to Emacs when
> forwarding a message is a no-no. Think of people who work on email
> when offline, or people who donʼt want to advertise the fact that
> they've received email from a particular domain.

Agreed!  I'm not actually suggesting that we want to do DKIM signature
checking -- i'm just pointing out that if we're worried about header
removal damaging any sort of cryptographic signature, that's the most
likely scenario where that'll happen.  The other forms of cryptographic
signature (PGP/MIME and S/MIME) aren't likely to be affected by header
stripping.

        --dkg